Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2
Class DefaultActionProxyFactory

    java.lang.Object
      com.opensymphony.xwork2.DefaultActionProxyFactory

All Implemented Interfaces:
  ActionProxyFactory

    public class DefaultActionProxyFactory

extends Object
implements ActionProxyFactory

Default factory for `ActionProxyFactory`.

Author:
  Jason Carreira

Field Summary
`protected Container` | `container`

Constructor Summary
`DefaultActionProxyFactory()`

Method Summary
`protected ActionInvocation` | `createActionInvocation(Map<String,Object> extraContext, boolean pushAction)`
`ActionProxy` | `createActionProxy(ActionInvocation inv, String namespace, String actionName, boolean executeResult, boolean cleanupContext)`
`ActionProxy` | `createActionProxy(ActionInvocation inv, String namespace, String actionName, String methodName, boolean executeResult, boolean cleanupContext)` Creates an `ActionProxy` for the given namespace and action name by looking up the configuration.The ActionProxy should be fully initialized when it is returned, including passed `ActionInvocation` instance.
`ActionProxy` | `createActionProxy(String namespace, String actionName, Map<String,Object> extraContext)` Creates an `ActionProxy` for the given namespace and action name by looking up the configuration.The ActionProxy should be fully initialized when it is returned, including having an `ActionInvocation` instance associated.
`ActionProxy` | `createActionProxy(String namespace, String actionName, Map<String,Object> extraContext, boolean executeResult, boolean cleanupContext)` Creates an `ActionProxy` for the given namespace and action name by looking up the configuration.The ActionProxy should be fully initialized when it is returned, including having an `ActionInvocation` instance associated.
`ActionProxy` | `createActionProxy(String namespace, String actionName, String methodName, Map<String,Object> extraContext)` Creates an `ActionProxy` for the given namespace and action name by looking up the configuration.The ActionProxy should be fully initialized when it is returned, including having an `ActionInvocation` instance associated.
`ActionProxy` | `createActionProxy(String namespace, String actionName, String methodName, Map<String,Object> extraContext, boolean executeResult, boolean cleanupContext)` Creates an `ActionProxy` for the given namespace and action name by looking up the configuration.The ActionProxy should be fully initialized when it is returned, including having an `ActionInvocation` instance associated.
`void` | `setContainer(Container container)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### container

    protected Container container

Constructor Detail

### DefaultActionProxyFactory

    public DefaultActionProxyFactory()

Method Detail

### setContainer

    public void setContainer(Container container)

### createActionProxy

    public ActionProxy createActionProxy(String namespace,
                                         String actionName,
                                         Map<String,Object> extraContext)

  Description copied from interface: `ActionProxyFactory`
  Creates an `ActionProxy` for the given namespace and action name by looking up the configuration.The ActionProxy should be fully initialized when it is returned, including having an `ActionInvocation` instance associated.

  Note: This is the most used create method.

  Specified by:
    `createActionProxy` in interface `ActionProxyFactory`
  Parameters:
    `namespace` - the namespace of the action, can be `null`
    `actionName` - the name of the action
    `extraContext` - a Map of extra parameters to be provided to the ActionProxy, can be `null`
  Returns:
    ActionProxy the created action proxy

### createActionProxy

    public ActionProxy createActionProxy(String namespace,
                                         String actionName,
                                         String methodName,
                                         Map<String,Object> extraContext)

  Description copied from interface: `ActionProxyFactory`
  Creates an `ActionProxy` for the given namespace and action name by looking up the configuration.The ActionProxy should be fully initialized when it is returned, including having an `ActionInvocation` instance associated.

  Note: This is the most used create method.

  Specified by:
    `createActionProxy` in interface `ActionProxyFactory`
  Parameters:
    `namespace` - the namespace of the action, can be `null`
    `actionName` - the name of the action
    `methodName` - the name of the method to execute
    `extraContext` - a Map of extra parameters to be provided to the ActionProxy, can be `null`
  Returns:
    ActionProxy the created action proxy

### createActionProxy

    public ActionProxy createActionProxy(String namespace,
                                         String actionName,
                                         Map<String,Object> extraContext,
                                         boolean executeResult,
                                         boolean cleanupContext)

  Description copied from interface: `ActionProxyFactory`
  Creates an `ActionProxy` for the given namespace and action name by looking up the configuration.The ActionProxy should be fully initialized when it is returned, including having an `ActionInvocation` instance associated.

  Specified by:
    `createActionProxy` in interface `ActionProxyFactory`
  Parameters:
    `namespace` - the namespace of the action, can be `null`
    `actionName` - the name of the action
    `extraContext` - a Map of extra parameters to be provided to the ActionProxy, can be `null`
    `executeResult` - flag which tells whether the result should be executed after the action
    `cleanupContext` - flag which tells whether the original context should be preserved during execution of the proxy.
  Returns:
    ActionProxy the created action proxy

### createActionProxy

    public ActionProxy createActionProxy(String namespace,
                                         String actionName,
                                         String methodName,
                                         Map<String,Object> extraContext,
                                         boolean executeResult,
                                         boolean cleanupContext)

  Description copied from interface: `ActionProxyFactory`
  Creates an `ActionProxy` for the given namespace and action name by looking up the configuration.The ActionProxy should be fully initialized when it is returned, including having an `ActionInvocation` instance associated.

  Specified by:
    `createActionProxy` in interface `ActionProxyFactory`
  Parameters:
    `namespace` - the namespace of the action, can be `null`
    `actionName` - the name of the action
    `methodName` - the name of the method to execute
    `extraContext` - a Map of extra parameters to be provided to the ActionProxy, can be `null`
    `executeResult` - flag which tells whether the result should be executed after the action
    `cleanupContext` - flag which tells whether the original context should be preserved during execution of the proxy.
  Returns:
    ActionProxy the created action proxy

### createActionInvocation

    protected ActionInvocation createActionInvocation(Map<String,Object> extraContext,
                                                      boolean pushAction)

### createActionProxy

    public ActionProxy createActionProxy(ActionInvocation inv,
                                         String namespace,
                                         String actionName,
                                         boolean executeResult,
                                         boolean cleanupContext)

### createActionProxy

    public ActionProxy createActionProxy(ActionInvocation inv,
                                         String namespace,
                                         String actionName,
                                         String methodName,
                                         boolean executeResult,
                                         boolean cleanupContext)

  Description copied from interface: `ActionProxyFactory`
  Creates an `ActionProxy` for the given namespace and action name by looking up the configuration.The ActionProxy should be fully initialized when it is returned, including passed `ActionInvocation` instance.

  Specified by:
    `createActionProxy` in interface `ActionProxyFactory`
  Parameters:
    `inv` - the action invocation instance to associate with
    `namespace` - the namespace of the action, can be `null`
    `actionName` - the name of the action
    `methodName` - the name of the method to execute
    `executeResult` - flag which tells whether the result should be executed after the action
    `cleanupContext` - flag which tells whether the original context should be preserved during execution of the proxy.
  Returns:
    ActionProxy the created action proxy

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.